<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Home extends CI_Controller {
	
	public function __construct(){
        parent::__construct();
        if (!$this->ion_auth->logged_in()) redirect('login');   
        $this->load->model("home_model");          
    }
	
	
	public function index()
	{
		$data = array();
		
		$data["notifications"] = $this->home_model->getNotifications($this->ion_auth->user()->row()->id);
		$data["projects"] = $this->home_model->getProjects($this->ion_auth->user()->row()->id);
		if ($this->ion_auth->in_group("admin")) $data["projects"] = $this->home_model->getAllProjects();
		elseif ($this->ion_auth->in_group("workers")) $data["projects"] = $this->home_model->getAllProjectsWorker($this->ion_auth->user()->row()->id);
		if ($this->ion_auth->in_group("admin")) $data["new"] = $this->home_model->getNewTasksAdmin($this->ion_auth->user()->row()->id);
		elseif ($this->ion_auth->in_group("workers")) $data["projects"] = $data["new"] = $this->home_model->getNewTasksWorker($this->ion_auth->user()->row()->id);
		if ($this->ion_auth->in_group("admin")) $data["finished"] = $this->home_model->getFinishedTasksAdmin($this->ion_auth->user()->row()->id);
		elseif ($this->ion_auth->in_group("workers")) $data["finished"] = $this->home_model->getFinishedTasksWorker($this->ion_auth->user()->row()->id);
		
		$data["tasks"] = $this->home_model->getUserTasks($this->ion_auth->user()->row()->id);
		if ($this->ion_auth->in_group("admin")) $data["tasks"] = $this->home_model->getAdminTasks($this->ion_auth->user()->row()->id);
		
		
		$this->template->load('template', 'pages/home', $data);
	}
	
	public function notifications(){
		$data = array();
		
		$data["notifications"] = $this->home_model->getUserNotifications($this->ion_auth->user()->row()->id);
		
		
		$this->template->load('template', 'pages/notifications', $data);
	}
	
}
